#include <math.h>

#include <qblib/basfun.hh>

static inline double B_FuncCOS(double n) { return cos(n); }
static inline double B_FuncSIN(double n) { return sin(n); }
static inline double B_FuncATN(double n) { return atan(n); }
static inline double B_FuncTAN(double n) { return tan(n); }
static inline double B_FuncSQR(double n) { return sqrt(n); }
static inline double B_FuncABS(double n) { return fabs(n); }

static inline float B_FuncCOS(float n) { return cosf(n); }
static inline float B_FuncSIN(float n) { return sinf(n); }
static inline float B_FuncATN(float n) { return atanf(n); }
static inline float B_FuncTAN(float n) { return tanf(n); }
static inline float B_FuncSQR(float n) { return sqrtf(n); }
static inline float B_FuncABS(float n) { return fabsf(n); }

static inline long B_FuncABS(long n) { return n < 0 ? -n : n; }
static inline int B_FuncABS(int n) { return n < 0 ? -n : n; }

#define B_FuncCLNG BasCLNG
#define B_FuncCINT BasCINT
#define B_FuncINT  BasINT
